ITEM.Name = "Entity Item"
ITEM.Model = "models/error.mdl"
ITEM.UseSpeed = 1
ITEM.DropSpeed = 1

function ITEM:Load()
	self:RegisterPickup(self.Class)
end

function ITEM:CreateEntity(pos, ply)
	local ent = ents.Create(self.Class)
	if !IsValid(ent) then return end
	ent:SetPos(pos)
	self:LoadData(ent, ply)
	ent:Spawn()
	ent:Activate()
	return ent
end

function ITEM:SaveData()
end

function ITEM:LoadData()
end